Package org.apache.sysds.runtime.compress.io

## Class CompressUnwrap

- java.lang.Object
- - org.apache.sysds.runtime.compress.io.CompressUnwrap

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<CompressedWriteBlock,​MatrixBlock>`

    public class CompressUnwrap
    extends Object
    implements org.apache.spark.api.java.function.Function<CompressedWriteBlock,​MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CompressUnwrap()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `call​(CompressedWriteBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressUnwrap

    public CompressUnwrap()

### Method Detail

#### call

    public MatrixBlock call​(CompressedWriteBlock arg0)
                     throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<CompressedWriteBlock,​MatrixBlock>`
Throws:
  `Exception`